#
# spec file for package khmeros-fonts
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           khmeros-fonts
Version:        5.0
Release:        118.17
Summary:        Fonts for the Khmer Language of Cambodia
License:        LGPL-2.1+
Group:          System/X11/Fonts
Url:            http://sourceforge.net/projects/khmer
Source0:        All_KhmerOS_5.0.tar.bz2
Source1:        LICENSE
Source2:        readme.txt
BuildRequires:  fontpackages-devel
%reconfigure_fonts_prereq
Provides:       scalable-font-km
# FIXME: This causes a rpmlint warning; change <= to < once here's a new upstream version
Obsoletes:      KhmerOS-fonts <= %{version}
Provides:       KhmerOS-fonts = %{version}
Provides:       locale(km)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This package contains fonts for the Khmer language of Cambodia.

%prep
%setup -n All_KhmerOS_5.0
cp $RPM_SOURCE_DIR/LICENSE .
cp $RPM_SOURCE_DIR/readme.txt .

%build
mv "KhmerOS .ttf" KhmerOS.ttf

%install
mkdir -p %{buildroot}%{_ttfontsdir}
for i in *.ttf
do
    install -c -m 644 "$i" %{buildroot}%{_ttfontsdir}
done

%reconfigure_fonts_scriptlets

%files
%defattr(-, root,root)
%doc LICENSE readme.txt
%{_ttfontsdir}

%changelog
* Thu Jun  5 2014 pgajdos@suse.com
- renamed "KhmerOS .ttf" to "KhmerOS.ttf"
* Wed Jul  4 2012 pgajdos@suse.cz
- amend spec file to reflect new font packaging scheme
  (see openFATE#313536);
* Thu May 17 2012 pgajdos@suse.com
- call spec-cleaner
* Wed Mar 21 2012 pgajdos@suse.com
- added obsoletes/provides KhmerOS-fonts
* Wed Feb  1 2012 pgajdos@suse.com
- renamed to khmeros-fonts
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
* Thu Apr  8 2010 tiwai@suse.de
- remove unnecessary buildrequires for too old distros
* Wed Jul 11 2007 mfabian@suse.de
- update to 5.0:
  • some new fonts were added: KhmerOS_siemreap.ttf,
  KhmerOS_metalchrieng.ttf, KhmerOS_content.ttf,
  KhmerOS_muolpali.ttf, KhmerOS_muollight.ttf.
* Wed Feb 21 2007 mfabian@suse.de
- update to 4.0:
  • two new fonts added: KhmerOSbattambang.ttf, KhmerOSbokor.ttf.
* Wed Aug  9 2006 mfabian@suse.de
- move fonts to /usr/share/fonts/truetype
  (openSUSE 10.2 will use X11R7).
* Tue Feb 28 2006 mfabian@suse.de
- add "Provides:     locale(km)".
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan  3 2006 mfabian@suse.de
- new package: KhmerOS-fonts version 3.1.
